Subject: Re: [PATCH net-next 1/2] ethtool: update UAPI files

From: Piergiorgio Beruto <[email-masked]>
Date: Sun, 4 Dec 2022 21:14:39 +0100

On Sun, Dec 04, 2022 at 06:49:45PM +0100, Andrew Lunn wrote:
> On Sun, Dec 04, 2022 at 05:13:22PM +0000, Russell King (Oracle) wrote:
> > On Sun, Dec 04, 2022 at 03:38:37AM +0100, Piergiorgio Beruto wrote:
> > 
> > NAK. No description of changes.
> 
> Hi Piergiorgio
> 
> Look at the previous examples of this:
> 
> commit 41fddc0eb01fcd8c5a47b415d3faecd714652513
> Author: Michal Kubecek <[email-masked]>
> Date:   Mon Jun 13 23:50:26 2022 +0200
> 
>     update UAPI header copies
>     
>     Update to kernel v5.18.
>     
>     Signed-off-by: Michal Kubecek <[email-masked]>
> 
> > > diff --git a/uapi/linux/ethtool.h b/uapi/linux/ethtool.h
> > > index 944711cfa6f6..5f414deacf23 100644
> > > --- a/uapi/linux/ethtool.h
> > > +++ b/uapi/linux/ethtool.h
> > > @@ -11,14 +11,16 @@
> > >   * Portions Copyright (C) Sun Microsystems 2008
> > >   */
> > >  
> > > -#ifndef _LINUX_ETHTOOL_H
> > > -#define _LINUX_ETHTOOL_H
> > > +#ifndef _UAPI_LINUX_ETHTOOL_H
> > > +#define _UAPI_LINUX_ETHTOOL_H
> 
> Maybe ask Michal Kubecek how he does this. It does not appear to be a
> straight copy of the headers.
Yes, to be fully honest with you guys, I had this impression, however I
could not find any directive in how to do this, and it was blocking my
development. So I apologise, but I just made a raw copy, then I forgot
to look back into this.

Please, if anyone could help me understanding what's the right procedure
for "importing" the UAPI headers from the kernel, I would greatly
appreciate this.

Thanks,
Piergiorgio